#ifndef INCLUDED_snow_types_GamepadDeviceEventType
#define INCLUDED_snow_types_GamepadDeviceEventType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS2(snow,types,GamepadDeviceEventType)
namespace snow{
namespace types{


class GamepadDeviceEventType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef GamepadDeviceEventType_obj OBJ_;

	public:
		GamepadDeviceEventType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("snow.types.GamepadDeviceEventType"); }
		::String __ToString() const { return HX_CSTRING("GamepadDeviceEventType.") + tag; }

		static ::snow::types::GamepadDeviceEventType device_added;
		static inline ::snow::types::GamepadDeviceEventType device_added_dyn() { return device_added; }
		static ::snow::types::GamepadDeviceEventType device_remapped;
		static inline ::snow::types::GamepadDeviceEventType device_remapped_dyn() { return device_remapped; }
		static ::snow::types::GamepadDeviceEventType device_removed;
		static inline ::snow::types::GamepadDeviceEventType device_removed_dyn() { return device_removed; }
};

} // end namespace snow
} // end namespace types

#endif /* INCLUDED_snow_types_GamepadDeviceEventType */ 
